<?php

// Include necessary files
require_once("../include/initialize.php");

// Get the school name from URL and sanitize it
$schoolName = isset($_GET['school']) ? addslashes(urldecode($_GET['school'])) : '';

// Fetch school details along with survey information
$sql = "SELECT s.*, 
               l.SchoolLevel, 
               l.SchoolRemarks, 
               sv.SurveyAverage, 
               sv.Reason  
        FROM tblschools s
        LEFT JOIN tblschoollevel l ON s.SCHOOLID = l.SchoolID
        LEFT JOIN tblsurvey sv ON s.SCHOOLNAME = sv.SchoolName
        WHERE s.SCHOOLNAME = '{$schoolName}'";

$mydb->setQuery($sql);
$school = $mydb->loadSingleResult();

if (!$school) {
    die("School not found!");
}

// Pagination settings
$limit = 6; // Number of entries per page
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
$start = ($page - 1) * $limit;

// Fetch documents with pagination
$docSql = "SELECT * FROM tblrequestdocuments WHERE SchoolID = '{$school->SCHOOLID}' LIMIT {$start}, {$limit}";
$mydb->setQuery($docSql);
$documents = $mydb->loadResultList();

// Get total number of documents for pagination
$countSql = "SELECT COUNT(*) AS total FROM tblrequestdocuments WHERE SchoolID = '{$school->SCHOOLID}'";
$mydb->setQuery($countSql);
$totalDocs = $mydb->loadSingleResult()->total;
$totalPages = ceil($totalDocs / $limit);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($school->SCHOOLNAME); ?> - Details</title>
    <link rel="stylesheet" href="styles.css"> 
    <style>
            body {
    font-family: 'Arial', sans-serif;
    background-color: #f8f9fa;
    margin: 0;
    padding: 0;
}

.container {
    width: 90%;
    margin: auto;
    padding: 20px;
}

.details-card {
    display: flex;
    align-items: center;
    background-color: #e0e0e0;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 15px;
}

.details-card img {
    width: 100px;
    height: 50px;
    border-radius: 5px;
    margin-right: 5px;
}

.details-text {
    font-size: 18px;
}

.details-text strong {
    display: block;
}

.back-link {
    color: blue;
    text-decoration: none;
    margin-bottom: 15px;
    display: inline-block;
}

.table-container {
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}

.table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
}

.table th, .table td {
    padding: 10px;
    border-bottom: 1px solid #ddd;
    text-align: left;
}

.table th {
    background-color: #f2f2f2;
}

.view-button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 8px 12px;
    border-radius: 5px;
    cursor: pointer;
}

.view-button:hover {
    background-color: #0056b3;
}

.pagination {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
}

.pagination button {
    padding: 5px 10px;
    border: none;
    background-color: #007bff;
    color: white;
    cursor: pointer;
    border-radius: 5px;
}

.pagination button:disabled {
    background-color: #ccc;
    cursor: not-allowed;
    }
    </style>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($school->SCHOOLNAME); ?> - Details</title>
    <link rel="stylesheet" href="styles.css"> 
</head>
<body>
<div class="container">
    <div class="image-box">
        <img src="<?php echo web_root . 'school/user/' . htmlspecialchars($school->S_PHOTO); ?>" alt="School Image">
    </div>
    <div class="details">
        <h3><?php echo htmlspecialchars($school->SCHOOLNAME); ?></h3>
        <p><strong>School Level:</strong> <?php echo isset($school->SurveyAverage) ? htmlspecialchars($school->SurveyAverage) : 'N/A'; ?></p>
        <p><strong>Remarks:</strong> <?php echo isset($school->Reason) ? htmlspecialchars($school->Reason) : 'N/A'; ?></p>
    </div>
</div>
<a href="index.php" class="btn-back">Back</a>
<div class="documents">
    <h3>Documents Uploaded by School</h3>
    <table>
        <tr>
            <th>Document</th>
            <th>Status</th>
            <th>View</th>
        </tr>
        <?php if (!empty($documents)) { 
            foreach ($documents as $doc) { ?>
                <tr>
                    <td><?php echo htmlspecialchars($doc->RequestDocuments); ?></td>
                    <td><?php echo htmlspecialchars($doc->Status); ?></td>
                    <td>
                        <?php 
                        $filePath = rtrim(web_root, '/') . '/school/dist/uploadedfiles/' . $doc->SchoolAttachment;
                        if (!empty($doc->SchoolAttachment) && file_exists($filePath)) { ?>
                            <button class="view-btn" onclick="window.open('<?php echo htmlspecialchars($filePath); ?>', '_blank')">View</button>
                        <?php } else { ?>
                            <span style="color: red;">File Not Found</span>
                        <?php } ?>
                    </td>
                </tr>
            <?php } 
        } else { ?>
            <tr><td colspan="3">No documents uploaded yet.</td></tr>
        <?php } ?>
    </table>
</div>
</body>
</html>
