<?php
// Ensure user is authenticated
if (!isset($_SESSION['COMPANY_USERID'])) {
    redirect(web_root . "admin/index.php");
}


// Define the formatLevel function
function formatLevel($averageLevel) {
    $level = round($averageLevel);
    $map = [1 => 'I', 2 => 'II', 3 => 'III', 4 => 'IV', 5 => 'V', 6 => 'VI', 7 => 'VII', 8 => 'VIII', 9 => 'IX', 10 => 'X'];
    return $map[$level] ?? 'N/A';
}

// Fetch all schools and their corresponding average levels
$sql = "
    SELECT s.SCHOOLNAME, AVG(sur.SurveyAverage) AS AverageLevel
    FROM tblschools s
    LEFT JOIN tblsurvey sur ON s.SCHOOLNAME = sur.SchoolName
    GROUP BY s.SCHOOLNAME
    ORDER BY s.SCHOOLNAME
"; 
$mydb->setQuery($sql);
$schools = $mydb->loadResultList();
?>

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Departments / Schools</h3>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
            <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
        </div>
    </div>
    <div class="card-body">
       <div class="row">
    <?php foreach ($schools as $school): ?>
        <div class="col-12 mb-3">
            <a href="details.php?school=<?php echo urlencode($school->SCHOOLNAME); ?>" class="text-decoration-none">
                <div class="card text-center shadow-sm">
                    <div class="card-body">
                        <h5 class="card-title"><?php echo htmlspecialchars($school->SCHOOLNAME); ?></h5>
                        <p class="card-text">Average Level: <strong><?php echo formatLevel($school->AverageLevel); ?></strong></p>
                    </div>
                    <div class="card-footer bg-light">
                        <small class="text-muted">Click for details</small>
                    </div>
                </div>
            </a>
        </div>
    <?php endforeach; ?>
</div>

    </div>
    <div class="card-footer text-center">Updated dynamically</div>
</div>

<style>
    .custom-card {
    width: 100%;
    max-width: 500px; 
    border-radius: 15px;
    overflow: hidden;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    background: #ffffff;
}

.custom-card:hover {
    transform: translateY(-5px);
    box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.15);
}

.card-title {
    font-size: 1.5rem;
    font-weight: bold;
    color: #2c3e50;
}

.card-text {
    font-size: 1.1rem;
    color: #34495e;
}

.card-footer {
    background: #f8f9fa;
    font-size: 0.9rem;
    font-weight: bold;
    color: #7f8c8d;
}
</style>
