<?php
if (!isset($_SESSION['SCHOOLID'])) {
    redirect(web_root . "index.php");
}

$notificationID = isset($_GET['id']) ? $_GET['id'] : '';

// Mark notification as viewed
$sql = "UPDATE `tblnotification` SET `AlreadyViewed`=1 WHERE `NotificationID`='{$notificationID}'";
$mydb->setQuery($sql);

// Retrieve notification details
$sql = "SELECT * FROM `tblnotification` WHERE `NotificationID`='{$notificationID}'";
$mydb->setQuery($sql);
$rowNotif = $mydb->loadSingleResult();

if ($notificationID == '') {
    $cardTitle = "List of Documents";
} else {
    $sql = "SELECT * FROM `tblcompany` WHERE `COMPANYID`='{$rowNotif->CreatedBy}' LIMIT 1";
    $mydb->setQuery($sql);
    $singleRequest = $mydb->loadSingleResult();
    $cardTitle = "These are the following documents need to comply by school. <br/>Requested by: " . $singleRequest->COMPANYNAME;
}
?>

<div class="card">
    <div class="card-header">
        <h3 class="card-title"><?php echo $cardTitle; ?></h3>
    </div>
    <div class="card-body">
        <table class="table table-bordered table-striped table-sm">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Requested By (Agency)</th>
                    <th>Document Name</th>
                    <th>Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $i = 0;
                $sql = "SELECT * FROM `tblrequestdocuments` WHERE SchoolID=" . $_SESSION['SCHOOLID'];
                $mydb->setQuery($sql);
                $cur = $mydb->loadResultList();

                foreach ($cur as $row) {
                    $i++;
                    echo '<tr>';
                    echo '<td>' . $i . '</td>';
                    echo '<td>' . htmlspecialchars($row->AgencyName) . '</td>';
                    echo '<td>' . htmlspecialchars($row->RequestDocuments) . '</td>';
                    echo '<td>' . htmlspecialchars($row->Status) . '</td>';
                    echo '<td align="center">';

                    if (!empty($row->SchoolAttachment)) {
                        echo '<button class="btn btn-info btn-sm viewDoc" data-toggle="modal" data-target="#viewModal" data-url="' . htmlspecialchars($row->SchoolAttachment) . '">
                                <i class="fa fa-eye"></i> View
                              </button>';
                    } else {
                        echo '<span class="text-danger">No attachment</span>';
                    }

                    echo '</td>';
                    echo '</tr>';
                }
                ?>
            </tbody>
        </table>
    </div>
</div>

<!-- Modal for Viewing Documents -->
<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewModalLabel">Document Preview</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">
                <iframe id="docFrame" src="" width="100%" height="500px" style="border:none;"></iframe>
            </div>
        </div>
    </div>
</div>

<script>
document.addEventListener("DOMContentLoaded", function() {
    document.querySelectorAll(".viewDoc").forEach(function(button) {
        button.addEventListener("click", function() {
            let fileUrl = this.getAttribute("data-url");
            let docFrame = document.getElementById("docFrame");

            if (fileUrl.endsWith(".pdf")) {
                docFrame.src = fileUrl;
            } else {
                docFrame.src = "https://docs.google.com/viewer?url=" + encodeURIComponent(fileUrl) + "&embedded=true";
            }
        });
    });
});
</script>
