<?php
// Start the session only if it's not already started
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

// Check if SCHOOLID is set in the session
if (!isset($_SESSION['SCHOOLID'])) {
    echo "User is not logged in.";
    exit;
}

// Fetch the survey data for the school using the SCHOOLID directly
$sql = "SELECT `SurveyAverage`, `Remarks`, `Reason`, `LevelAttained`, `DateEvaluated`
        FROM `tblsurvey`
        WHERE `SchoolName` = (SELECT `SchoolName` FROM `tblschools` WHERE `SCHOOLID` = '{$_SESSION['SCHOOLID']}')";
$mydb->setQuery($sql);
$surveys = $mydb->loadResultList(); 

// Styling
?>
<style type="text/css"> 
td:nth-child(1) {
    width: 1px;
    white-space: nowrap;
}
</style>

<!-- HTML Output -->
<div class="row">
    <div class="col-12 col-md-12 col-lg-12 order-1 order-md-2">  
        <table id="example2" class="table table-hover" cellspacing="0"> 
            <thead>
                <tr> 
                    <th>#</th> 
                    <th>Date Evaluated</th> 
                    <th>Level</th>  
                    <!-- <th>Remarks</th>   -->
                    <th>Remarks</th>  
                    <!-- <th>Level Attained</th>   -->
                </tr> 
            </thead> 
            <tbody>
                <?php
                $i = 0;

                // Check if any survey data was found
                if (!$surveys || count($surveys) == 0) {
                    echo '<tr><td colspan="6">No survey data found for this school.</td></tr>';
                } else {
                    foreach ($surveys as $survey) {
                        $i++;
                        $average = $survey->SurveyAverage ?: 0;
                        $remarks = $survey->Remarks ?: 'NONE';
                        $reason = $survey->Reason ?: 'NONE';
                        $level = $survey->LevelAttained ?: 'N/A';
                        $dateEvaluated = !empty($survey->DateEvaluated) 
                            ? date('m/d/Y', strtotime($survey->DateEvaluated)) 
                            : 'N/A';

                        // Output the row in the table
                        echo '<tr>';
                        echo '<td>' . $i . '</td>'; 
                        echo '<td>' . $dateEvaluated . '</td>'; 
                        echo '<td>' . number_format($average, 2) . '</td>';
                        // echo '<td>' . htmlspecialchars($remarks) . '</td>';
                        echo '<td>' . htmlspecialchars($reason) . '</td>';
                        // echo '<td>' . htmlspecialchars($level) . '</td>';
                        echo '</tr>';
                    }
                }
                ?>
            </tbody>
        </table> 
    </div>
</div>

<!-- Include jQuery and DataTables JS & CSS -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">

<script>
    $(document).ready(function() {
        // Check if DataTable is already initialized and destroy it before re-initializing
        if ($.fn.DataTable.isDataTable('#example2')) {
            $('#example2').DataTable().destroy();
        }

        // Initialize the DataTable
        $('#example2').DataTable({
            "destroy": true,
            "paging": true,
            "searching": true,
            "ordering": true
        });
    });
</script>
