<?php 

// Include necessary files
require_once("../include/config.php");

// Get the school name from URL and sanitize it
$schoolName = isset($_GET['school']) ? addslashes(urldecode($_GET['school'])) : '';

// Fetch school details along with survey information
$sql = "SELECT s.*, 
               l.SchoolLevel, 
               l.SchoolRemarks, 
               sv.SurveyAverage, 
               sv.Reason  
        FROM tblschools s
        LEFT JOIN tblschoollevel l ON s.SCHOOLID = l.SchoolID
        LEFT JOIN tblsurvey sv ON s.SCHOOLNAME = sv.SchoolName
        WHERE s.SCHOOLNAME = '{$schoolName}'";

$mydb->setQuery($sql);
$school = $mydb->loadSingleResult();

if (!$school) {
    die("School not found!");
}

// Fetch all documents
$docSql = "SELECT * FROM tblrequestdocuments WHERE SchoolID = '{$school->SCHOOLID}'";
$mydb->setQuery($docSql);
$documents = $mydb->loadResultList();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($school->SCHOOLNAME); ?> - Details</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <style>
   body {
    font-family: 'Poppins', sans-serif;
    background-color: #f4f6f9;
    margin: 0;
    padding: 0;
}

.container {
    display: flex;
        align-items: center;
        justify-content: center;
        gap: 20px;
        background: #ffffff;
        padding: 25px;
        border-radius: 12px;
        box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
        max-width: 500px;
        margin: auto;
        transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    }
   
    .container:hover {
        transform: translateY(-3px);
        box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    }
.sidebar:hover{
    transform: scale(1.05);
    background-color: #3a3a3a;
    transition: 0.2s ease-in-out;

    }
    .image-box {
        flex-shrink: 0;
        width: 160px;
        height: 160px;
        border-radius: 50%;
        overflow: hidden;
        display: flex;
        justify-content: center;
        align-items: center;
        background: #f4f4f4;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
        transition: transform 0.3s ease-in-out;
    }

    .image-box img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 50%;
    }
    .image-box:hover {
        transform: scale(1.05);
    }

    .details {
        flex: 1;
        text-align: left;
        padding: 10px;
    }
    .details h3 {
        margin: 0;
        color: #2c3e50;
        font-size: 26px;
        font-weight: bold;
        text-transform: capitalize;
    }

    .details p {
    margin: 10px 0;
    font-size: 18px;
    font-weight: 500;
    color: #444;
    line-height: 1.8;
    font-family: 'Lora', serif; /* Elegant serif font for a premium look */
    letter-spacing: 0.5px;
    position: relative;
    padding-left: 15px;
    transition: all 0.3s ease-in-out;
}


.details p:hover {
    color: #2c3e50;
    transform: translateX(5px);
    text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.1);
}
    .details strong {
        color: #1a1a1a;
    }

.documents {
    width: 97%;
    margin: 20px auto;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
    text-align: left;
    background-color: white;
}

.details h3 {
    margin: 0;
    color: #2c3e50;
    font-size: 30px;
    font-weight: bold;
    text-transform: capitalize;
    letter-spacing: 1px;
    font-family: 'Playfair Display', serif;
}

 .image-box {
            width: 120px;
            height: 120px;
        }
 table {
    width: 100%;
    border-collapse: collapse;
    background: white;
    border-radius: 8px;
    overflow: hidden;
    margin-top: 10px;
}

th,
td {
    padding: 12px;
    text-align: left;
    border-bottom: 1px solid #ddd;
}

th {
    background-color: #f8f9fa;
    font-weight: bold;
    text-transform: uppercase;
}

.view-btn {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 8px 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.view-btn:hover {
    background-color: #6a0dad;
}

/* Pagination */
.pagination {
    text-align: center;
    margin-top: 15px;
}

.pagination button {
    padding: 8px 12px;
    margin: 0 5px;
    background-color: #007bff;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s ease;
}


.modal-content {
    background: white;
    padding: 20px;
    border-radius: 10px;
    width: 60%; /* Adjusted width */
    max-width: 900px; /* Set a maximum width */
    max-height: 80%;
    overflow: auto;
    margin-left: 15%;
}

@media (max-width: 600px) {
        .container {
            flex-direction: column;
            text-align: center;
            padding: 20px;
        }

        .image-box {
            width: 130px;
            height: 130px;
        }
    }

    </style>
</head>

<body>
  
<div class="container">
    <div class="image-box">
        <img src="<?php echo web_root . 'school/user/' . htmlspecialchars($school->S_PHOTO); ?>" alt="School Image">
    </div>
    <div class="details">
        <h3><?php echo htmlspecialchars($school->SCHOOLNAME); ?></h3>
        <p><strong>School Level:</strong> 
            <?php echo isset($school->SurveyAverage) ? htmlspecialchars($school->SurveyAverage) : 'N/A'; ?>
        </p>
        <p><strong>Remarks:</strong> 
            <?php echo isset($school->Reason) ? htmlspecialchars($school->Reason) : 'N/A'; ?>
        </p>
    </div>
</div>
    <a href="index.php" class="btn-back">Back</a>
    <div class="documents">
        <h3>Documents Uploaded by School</h3>
        <table id="documentTable">
            <thead>
                <tr>
                    <th>Document</th>
                    <th>Status</th>
                    <th>View</th>
                </tr>
            </thead>
            <tbody>
                <?php if (!empty($documents)) { 
                    foreach ($documents as $doc) { ?>
                <tr>
                    <td><?php echo htmlspecialchars($doc->RequestDocuments); ?></td>
                    <td><?php echo htmlspecialchars($doc->Status); ?></td>
                    <td>
                    <button class="view-btn" onclick="openDocument('<?php echo rtrim(web_root, '/') . '/school/dist/uploadedfiles/' . basename(htmlspecialchars($doc->SchoolAttachment)); ?>')">View</button>                    </td>
                </tr>
                <?php } 
                } else { ?>
                <tr>
                    <td colspan="3">No documents uploaded yet.</td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>

    <div id="documentModal" class="modal" style="display:none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0, 0, 0, 0.5); justify-content: center; align-items: center;">
        <div class="modal-content" style="background: white; padding: 20px; border-radius: 10px; max-width: 80%; max-height: 80%; overflow: auto;">
            <span class="close" onclick="closeModal()" style="cursor: pointer; font-size: 20px; float: right;">&times;</span>
            <div id="documentViewer"></div>
        </div>
    </div>

    <script>
    $(document).ready(function() {
        $('#documentTable').DataTable();
    });

    function openDocument(url) {
    console.log("Opening document URL:", url); // Debugging log

    let viewer = document.getElementById('documentViewer');
    let modal = document.getElementById('documentModal');

    if (!viewer || !modal) {
        console.error("Modal elements not found!");
        return;
    }

    let extension = url.split('.').pop().toLowerCase().split('?')[0];
    console.log("Detected file extension:", extension);

    if (extension === 'pdf') {
        viewer.innerHTML = `<iframe src="${url}" width="100%" height="500px"></iframe>`;
    } else if (extension === 'docx') {
        viewer.innerHTML = `<iframe src="https://docs.google.com/gview?url=${encodeURIComponent(url)}&embedded=true" width="100%" height="500px"></iframe>`;
    } else if (['jpg', 'jpeg', 'png', 'gif'].includes(extension)) {
        viewer.innerHTML = `<img src="${url}" style="max-width:100%; max-height:500px;">`;
    } else {
        viewer.innerHTML = `<p>Unsupported file format. <a href="${url}" target="_blank">Click here to download.</a></p>`;
    }

    modal.style.display = 'flex';
}


    function closeModal() {
        let modal = document.getElementById('documentModal');
        if (modal) modal.style.display = 'none';
    }

    window.onclick = function(event) {
        let modal = document.getElementById('documentModal');
        if (event.target === modal) {
            closeModal();
        }
    };
    </script>
</body>
