<?php
require_once("../../include/initialize.php");

// Check if user is logged in
if (!isset($_SESSION['COMPANY_USERID'])) {
    redirect(web_root . "index.php");
}

// Get request and notification IDs
$requestID = isset($_GET['request']) ? intval($_GET['request']) : 0;
$notificationID = isset($_GET['id']) ? intval($_GET['id']) : 0;

// Update notification as viewed
$sql = "UPDATE `tblnotification` SET `AlreadyViewed`=1 WHERE `NotificationID`='{$notificationID}'";
$mydb->setQuery($sql);


// Fetch request details
$sql = "SELECT * FROM `tblrequest` r 
        JOIN `tblschools` s ON r.`SchoolID` = s.`SCHOOLID` 
        WHERE r.`RequestID` = '{$requestID}'";
$mydb->setQuery($sql);
$singleRequest = $mydb->loadSingleResult();

// Debugging: Uncomment to check if $singleRequest is NULL
// var_dump($singleRequest);
// exit;
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>School Request Details</title>
    <link rel="stylesheet" href="styles.css"> <!-- Add your CSS file -->
</head>
<body>

<form action="controller.php?action=requestDocuments" method="POST">
    <div class="modal-header">
        <h4 class="modal-title">School Request Details</h4>
        <a href="index.php" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </a>
    </div>

    <div class="modal-body">
        <div class="row">
            <div class="col-12">
                <div class="post">
                    <div class="user-block">
                        <?php if ($singleRequest): ?>
                            <img class="img-circle img-bordered-sm" 
                                 src="<?php echo web_root.'school/user/'.($singleRequest->S_PHOTO ?? 'default-image.jpg'); ?>" 
                                 alt="user image">
                            
                            <span class="username">
                                <a href="#"><?php echo $singleRequest->SCHOOLNAME ?? 'No School Name'; ?></a>
                            </span>
                            <span class="description">School Name</span>

                            <p><?php echo $singleRequest->RequestNotes ?? 'No request notes available.'; ?></p>
                            <p>Status: <?php echo $singleRequest->RequestStatus ?? 'No status available.'; ?></p>
                        <?php else: ?>
                            <p style="color:red;">No request found for the given ID.</p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal-footer justify-content-between">
        <a href="index.php" class="btn btn-default">Close</a>
    </div>
</form>

<!-- Text Editor -->
<script>
  $(function () {
    $('#compose-textarea').summernote()
  });
</script>

</body>
</html>
