<?php
// Ensure user is authenticated
if (!isset($_SESSION['COMPANY_USERID'])) {
    redirect(web_root . "admin/index.php");
}

// Function to convert numbers to custom format
function formatLevel($level) {
    $map = [
        1 => 'l',
        2 => 'll',
        3 => 'lll',
        4 => 'IV',
        5 => 'V',
        6 => 'VI',
        7 => 'VII',
        8 => 'VIII',
        9 => 'IX',
        10 => 'X'
    ];
    return isset($map[$level]) ? $map[$level] : $level;
}
?>

<style type="text/css">
    td:nth-child(4),
    th:nth-child(4) {
        width: 1px;
        white-space: nowrap;
    }

    td:nth-child(2),
    th:nth-child(2) {
        width: 1px;
        white-space: nowrap;
    }

    td:nth-child(1),
    th:nth-child(1) {
        width: 1px;
        white-space: nowrap;
    }
</style>

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Accreditation Progress for Department</h3>
        <div class="card-tools">
            <select id="levelFilter" class="form-control">
                <option value="">All Levels</option>
                <option value="1">l</option>
                <option value="2">ll</option>
                <option value="3">lll</option>
                <option value="4">IV</option>
                <option value="5">V</option>
                <option value="6">VI</option>
            </select>
        </div>
    </div>
    <div class="card-body">
        <table id="example1" class="table table-striped projects">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Department</th>
                    <th>Accreditation Progress</th>
                    <th>Level</th>
                    <th class="text-center">Status</th>
                    <!-- <th class="text-center">Certificate</th> -->
                </tr>
            </thead>
            <tbody>
                <?php
                $i = 0;

                // Fetch schools and their accreditation details
                $sql = "SELECT * FROM `tblschools` s
                        JOIN `tblrequestdocuments` rd ON s.SchoolID = rd.SchoolID
                        JOIN `tblsurvey` sur ON rd.DocumentID = sur.DocumentID
                        WHERE rd.AgencyID = {$_SESSION['COMPANY_USERID']}
                        GROUP BY rd.RequestID";
                
                $mydb->setQuery($sql);
                $cur = $mydb->loadResultList();

                foreach ($cur as $row) {
                    // Get the total number of documents for the request
                    $sqldocu = "SELECT * FROM `tblrequestdocuments` WHERE `RequestID` = {$row->RequestID}";
                    $mydb->setQuery($sqldocu);
                    $maxdocu = $mydb->num_rows();

                    // Get the number of documents that passed the survey
                    $sql = "SELECT * FROM `tblsurvey` WHERE `Remarks` = 'Passed' AND `RequestID` = {$row->RequestID}";
                    $mydb->setQuery($sql);
                    $progressCount = $mydb->num_rows();

                    // Calculate the progress percentage
                    $progress = $maxdocu > 0 ? ($progressCount * 100 / $maxdocu) : 0;

                    // Determine remarks based on progress percentage
                    $remarks = $progress >= 50 ? 'Success' : 'Needs Improvement';

                    $i++;
                    echo '<tr data-level="' . $row->SurveyAverage . '">';
                    echo '<td>' . $i . '</td>';
                    echo '<td><a title="View Status" href="index.php?view=view&request=' . $row->RequestID . '">' . $row->SCHOOLNAME . '</a></td>';
                    echo '<td class="project_progress">
                        <div class="progress progress-sm">
                            <div class="progress-bar bg-green" role="progressbar" aria-valuenow="' . $progress . '" aria-valuemin="0" aria-valuemax="100" style="width: ' . $progress . '%">
                            </div>
                        </div>
                        <small>' . number_format($progress, 2) . '% Complete</small>
                    </td>';
                    echo '<td class="project-state">
                        <span class="badge badge-success">' . formatLevel($row->SurveyAverage) . '</span>
                    </td>';
                    echo '<td class="project-state">
                        <span class="badge badge-' . ($progress >= 50 ? 'success' : 'warning') . '">' . $remarks . '</span>
                    </td>';
                    // echo '<td class="text-center">
                    //     <a href="index.php?view=cert&request=' . $row->RequestID . '" class="btn btn-info btn-sm">View Certificate</a>
                    // </td>';
                    echo '</tr>';
                }
                ?>
            </tbody>
        </table>
    </div>
   <!--  <div class="card-footer">
        <a href="index.php?view=cert">View All Certificates</a>
    </div> -->
</div>

<script>
    document.getElementById('levelFilter').addEventListener('change', function() {
        var selectedLevel = this.value;
        var rows = document.querySelectorAll('#example1 tbody tr');

        rows.forEach(function(row) {
            var level = row.getAttribute('data-level');
            if (selectedLevel === "" || level === selectedLevel) {
                row.style.display = "";
            } else {
                row.style.display = "none";
            }
        });
    });
</script>
