<link href='https://cdn.jsdelivr.net/npm/fullcalendar@6.1.8/index.global.min.css' rel='stylesheet' />
<script src='https://cdn.jsdelivr.net/npm/fullcalendar@6.1.8/index.global.min.js'></script>
<style>
body {
    font-family: Arial, sans-serif;
    margin: 40px;
    background-color: #f0f2f5;
}

#calendar {
    width: 90%;
    margin: auto;
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
}
#textHeader{
    font-size: 24px;
    text-align: left !important;
    font-weight: bold
}
</style>
<?php
// Start session only if it's not already started
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}

require_once('../include/config.php'); // Ensure this file contains your database connection

// Check if the user is logged in
if (!isset($_SESSION['SCHOOLID'])) {
    header("Location: ../login.php");
    exit();
}

// Validate notification ID
$notificationID = isset($_GET['id']) ? intval($_GET['id']) : 0;

if ($notificationID > 0) {
    // Use PDO instance directly if using a custom database class
    $stmt = $mydb->conn->prepare("UPDATE `tblnotification` SET `AlreadyViewed` = 1 WHERE `NotificationID` = ?");
    $stmt->execute([$notificationID]);

    // Retrieve notification details
    $stmt = $mydb->conn->prepare("SELECT * FROM `tblnotification` WHERE `NotificationID` = ?");
    $stmt->execute([$notificationID]);
    $rowNotif = $stmt->fetch(PDO::FETCH_OBJ);
} else {
    $rowNotif = null;
}

$cardTitle = "List of Documents";

if ($rowNotif) {
    // Retrieve requestor details
    $stmt = $mydb->conn->prepare("SELECT * FROM `tblcompany` WHERE `COMPANYID` = ? LIMIT 1");
    $stmt->execute([$rowNotif->CreatedBy]);
    $singleRequest = $stmt->fetch(PDO::FETCH_OBJ);

    if ($singleRequest) {
        $cardTitle = "These are the following documents that need to be complied with by the school.<br/>Requested by: " . htmlspecialchars($singleRequest->COMPANYNAME);
    }
}
?>
<style>
    .modal-dialog-left {
  margin-right:15%;
  margin-top: 90px;
}
</style>
<div class="card">
    <div class="card-header">
        <h3 class="card-title"><?php echo $cardTitle; ?></h3>
    </div>
    <div class="card-body">
        <!-- Search Bar (Aligned Right) -->
        <div class="d-flex justify-content-end mb-3">
            <input type="text" id="searchInput" class="form-control" style="width: 300px;" placeholder="Search documents...">
        </div>

        <!-- Documents Table -->
        <table class="table table-bordered table-striped table-sm">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Requested By (Agency)</th>
                    <th>Document Name</th>
                    <th>Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody id="documentTable">
                <?php
                $i = 0;
                $stmt = $mydb->conn->prepare("SELECT * FROM `tblrequestdocuments` WHERE `SchoolID` = ?");
                $stmt->execute([$_SESSION['SCHOOLID']]);
                $documents = $stmt->fetchAll(PDO::FETCH_OBJ);

                foreach ($documents as $row) {
                    $i++;
                    echo '<tr>';
                    echo '<td>' . $i . '</td>';
                    echo '<td>' . htmlspecialchars($row->AgencyName) . '</td>';
                    echo '<td>' . htmlspecialchars($row->RequestDocuments) . '</td>';
                    echo '<td>' . htmlspecialchars($row->Status) . '</td>';
                    echo '<td align="center">';

                    if (!empty($row->SchoolAttachment)) {
                        echo '<button class="btn btn-info btn-sm viewDoc" data-toggle="modal" data-target="#viewModal" data-url="' . htmlspecialchars($row->SchoolAttachment) . '">
                                <i class="fa fa-eye"></i> View
                              </button>';
                    } else {
                        echo '<span class="text-danger">No attachment</span>';
                    }

                    echo '</td>';
                    echo '</tr>';
                }
                ?>
            </tbody>
        </table>
    </div>
</div>

<!-- Modal for Viewing Documents -->
<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg modal-dialog-left" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewModalLabel">Document Preview</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body text-center">
                <iframe id="docFrame" src="" width="100%" height="500px" style="border:none;"></iframe>
            </div>
        </div>
    </div>
</div>

<div class="my-5 p-4">
    <div class="my-3">
        <h4 id="textHeader">Accreditation Schedules:</h4>
    </div>
    <div id='calendar'></div>
</div>

<?php
// Fetch events from your database
$sql = "SELECT * FROM `tblschools` s, `tblrequestdocuments` r, tblschedule sc 
        WHERE s.`SCHOOLID` = r.`SchoolID` 
        AND r.RequestID = sc.RequestID 
        AND Scheduled = 1 
        AND AlreadyEvaluated = 0  
        AND s.SCHOOLID = '".$_SESSION['SCHOOLID']."'
        GROUP BY r.RequestID";

$mydb->setQuery($sql);
$result = $mydb->loadResultList();
// echo json_encode($result);
// Prepare events array
$events = [];
foreach ($result as $row) {
    $events[] = [
        'title' => $row->SchoolName,
        'start' => $row->DateSchedule,
        'end'   => $row->EndScheduleDate,
        'color' => '#f57c00'
    ];
}
?>
<script>
    document.addEventListener('DOMContentLoaded', function () {
      var calendarEl = document.getElementById('calendar');
      var calendar = new FullCalendar.Calendar(calendarEl, {
        initialView: 'dayGridMonth',
        initialDate: '2025-04-01',
        headerToolbar: {
          left: 'prev,next today',
          center: 'title',
          right: 'dayGridMonth,timeGridWeek,timeGridDay'
        },
        events: <?php echo json_encode($events, JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP); ?>
      });
      calendar.render();
    });
</script>

<!-- JavaScript for Search and Modal -->
<script>
document.addEventListener("DOMContentLoaded", function() {
    // Document preview modal handling
    document.querySelectorAll(".viewDoc").forEach(function(button) {
        button.addEventListener("click", function() {
            let fileUrl = this.getAttribute("data-url");
            let docFrame = document.getElementById("docFrame");

            if (fileUrl.endsWith(".pdf")) {
                docFrame.src = fileUrl;
            } else {
                docFrame.src = "https://docs.google.com/viewer?url=" + encodeURIComponent(fileUrl) + "&embedded=true";
            }
        });
    });

    // Search function for filtering table rows
    document.getElementById("searchInput").addEventListener("keyup", function() {
        let filter = this.value.toLowerCase();
        let rows = document.querySelectorAll("#documentTable tr");

        rows.forEach(row => {
            let text = row.innerText.toLowerCase();
            row.style.display = text.includes(filter) ? "" : "none";
        });
    });
});
</script>
