<?php
    require_once ("include/initialize.php");
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <title>OTP Verification</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <style>
    .otp-input {
      width: 3rem;
      height: 3rem;
      text-align: center;
      font-size: 1.5rem;
      margin: 0 0.25rem;
    }
  </style>
</head>
<body class="bg-light">

<div class="d-flex justify-content-center align-items-center min-vh-100">
  <div class="card shadow rounded p-4" style="width: 100%; max-width: 400px;">
    <div class="card-body text-center">
      <h5 class="mb-4">Enter OTP <?php echo $_SESSION['otp']; ?></h5>
        <form id="otpForm" method="POST">
            <div class="d-flex justify-content-center mb-3">
                <input type="text" maxlength="1" class="form-control otp-input" required>
                <input type="text" maxlength="1" class="form-control otp-input" required>
                <input type="text" maxlength="1" class="form-control otp-input" required>
                <input type="text" maxlength="1" class="form-control otp-input" required>
                <input type="text" maxlength="1" class="form-control otp-input" required>
                <input type="text" maxlength="1" class="form-control otp-input" required>
            </div>
            <input type="hidden" name="otp" id="otpHidden">
            <button type="submit" name="submit" class="btn btn-primary w-100">Verify</button>
        </form>
    </div>
  </div>
</div>

<script>
  const inputs = document.querySelectorAll('.otp-input');
  const hiddenInput = document.getElementById('otpHidden');

  inputs.forEach((input, index) => {
    input.addEventListener('input', () => {
      if (input.value.length > 0 && index < inputs.length - 1) {
        inputs[index + 1].focus();
      }
    });

    input.addEventListener('keydown', (e) => {
      if (e.key === 'Backspace' && input.value === '' && index > 0) {
        inputs[index - 1].focus();
      }
    });
  });

  document.getElementById('otpForm').addEventListener('submit', function(e) {
    const otpCode = Array.from(inputs).map(input => input.value).join('');
    hiddenInput.value = otpCode;
  });
</script>

<?php
    if (isset($_POST['submit']) && isset($_POST['otp'])) {
        if ($_POST['otp'] != $_SESSION['otp']) {
            echo '<script>alert("Invalid OTP");</script>';
            exit();
        }
        echo $_SESSION['ROLE'];
        if ($_SESSION['role'] == 'administrator') {
            $_SESSION['ROLE'] = 'admin';
            message("You are now successfully login!", "success");
            redirect(web_root . "agency/");
        } elseif($_SESSION['role'] == 'department' ) {
            $_SESSION['ROLE'] = 'user';
            message("You are now successfully login!", "success");
            redirect(web_root . "school/");
        }else{
          $_SESSION['ROLE'] = 'accreditor';
          echo $_SESSION['ROLE'];
          header('location: accreditor/');
        }
    }
?>

</body>
</html>
